from socket import fromfd

import pymysql
import hashlib
import os
os.environ.setdefault("DJANGO_SETTINGS_MODULE", "aiDogProject.settings")
import django
django.setup()
from aiDogApp.models import *

def login_user(mobile_number, password):
    # 连接mysql数据库
    # connection = pymysql.connect(
    #     host='127.0.0.1',
    #     port=3306,
    #     user='root',
    #     password='',
    #     database='aidog'
    # )

    try:
        # with connection.cursor(pymysql.cursors.DictCursor) as cursor:
         # Hash加密密码并进行数据库比对
            hashed_password = hashlib.sha256(password.encode()).hexdigest()

            # 根据手机号和密码查找user表
            query_sql = """
            SELECT * FROM user
            WHERE mobile = %s AND password = %s
            """
            # cursor.execute(query_sql, (mobile_number, hashed_password))
            # user = cursor.fetchone()

            user=User.objects.filter(mobile=mobile_number,password=hashed_password)
            if user:
                return user
            # if user:
            #     return user  # Return all user information as a dictionary
            else:
                return None  # User not found or incorrect password

    except Exception as e:
        print(f"Error: {e}")
        return None
    # finally:
    #     connection.close()


# Example usage
mobile_number = '1234567890'
# password = 'your_password'
password = 'ypwd121'
user_info = login_user(mobile_number, password)
print("User information:", user_info)
if user_info:
    print("Login successful!")
    print("User information:", user_info)
else:
    print("Login failed. Incorrect mobile number or password.")
